Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class ExchangeTimeZone

    java.lang.Object
      com.compoze.collab.exchange.ExchangeTimeZone

Direct Known Subclasses:
  TimeZoneInfo

public abstract class ExchangeTimeZone
extends java.lang.Object

This class is used to represent different time zones in Exchange.

Field Summary
`protected java.util.TimeZone` | `m_zone`

Constructor Summary
`protected` | `ExchangeTimeZone()` Constructor.
`protected` | `ExchangeTimeZone(java.lang.String sDisplay, byte[] yBytes)` Constructor.

Method Summary
`byte[]` | `getBytes()` Gets the bytes that represents the time zone.
`java.lang.String` | `getDisplay()` Gets the display text of the time zone.
`java.util.TimeZone` | `getTimeZone()` Gets a java timezone implementation for the Exchange Time Zone.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_zone

    protected java.util.TimeZone m_zone

Constructor Detail

### ExchangeTimeZone

    protected ExchangeTimeZone()

  Constructor.

### ExchangeTimeZone

    protected ExchangeTimeZone(java.lang.String sDisplay,
                               byte[] yBytes)

  Constructor.

Method Detail

### getDisplay

    public java.lang.String getDisplay()

  Gets the display text of the time zone.

  Returns:
    the display string

### getBytes

    public byte[] getBytes()

  Gets the bytes that represents the time zone.

  Returns:
    the bytes representing the time zone.

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Gets a java timezone implementation for the Exchange Time Zone.

  Returns:
    a java time zone

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.